> For the complete documentation index, see [llms.txt](https://docs.chamilo.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chamilo.org/2.x-ar/dlyl-alidarh/admin-guide/authentication/cas.md).

# CAS

> **الحالة في Chamilo 2.x.** إعدادات CAS (`cas_activate`, `cas_server`, `cas_server_uri`, `cas_port`, `cas_protocol`, `cas_add_user_activate`) لا تزال موجودة في إعدادات المنصة كإرث من Chamilo 1.x، وCAS لا يزال يظهر كمصدر مصادقة يمكن اختياره في نموذج المستخدم — لكن لا يوجد مصادق CAS مدمج في خط أنابيب الأمان في Chamilo 2.x. تسجيل الدخول عبر CAS **لا** يعمل حاليًا مباشرة. إذا كنت بحاجة إلى SSO في Chamilo 2.x، استخدم [OAuth2](/2.x-ar/dlyl-alidarh/admin-guide/authentication/oauth2.md) (Azure / Keycloak / Generic) أو [LDAP](/2.x-ar/dlyl-alidarh/admin-guide/authentication/ldap.md) بدلاً من ذلك.

## ما يقوم به CAS (السلوك في 1.x)

CAS (Central Authentication Service) هو بروتوكول تسجيل دخول واحد مركزي شائع الاستخدام في الجامعات والمؤسسات البحثية. في Chamilo 1.x، النقر على "تسجيل الدخول باستخدام CAS" يقوم بتوجيه المستخدم إلى خادم CAS، ويصادق التذكرة المُعادة، وينشئ أو يطابق حسابًا محليًا من سمات CAS.

## ملاحظات الهجرة

إذا كنت تقوم بترقية بوابة Chamilo 1.x التي تستخدم CAS، خطط لإعادة تنفيذ تدفق تسجيل الدخول أعلاه عبر OAuth2 أو LDAP مؤقتًا، حتى يتم استعادة مصادق CAS في إصدار 2.x القادم.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chamilo.org/2.x-ar/dlyl-alidarh/admin-guide/authentication/cas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
